python-troveclient (1:7.1.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:48:10 +0000

python-troveclient (1:7.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:45:33 -0400

python-troveclient (1:6.0.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 21 Jan 2021 15:32:07 +0000

python-troveclient (1:6.0.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 03 Dec 2020 15:10:37 +0000

python-troveclient (1:5.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:39:02 -0400

python-troveclient (1:5.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 16:38:10 -0400

python-troveclient (1:5.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/p/skip-tests.patch: Removed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 09:03:37 +0000

python-troveclient (1:4.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 29 Jul 2020 11:01:00 +0000

python-troveclient (1:4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:45:17 -0400

python-troveclient (1:2.17.0-0ubuntu3) focal; urgency=medium

  * d/p/skip-tests.patch: Refresh patch to ensure that tests are skipped
    for >= Python 3.7 rather than == (LP: #1870079).

 -- James Page <james.page@ubuntu.com>  Fri, 03 Apr 2020 11:39:23 +0100

python-troveclient (1:2.17.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/python(3)-*, d/tests/control: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 16:49:49 -0400

python-troveclient (1:2.17.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 14:47:32 -0500

python-troveclient (1:2.16.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/p/drop-sphinxcontrib-apidoc.patch: Drop sphinxcontrib.apidoc extension
    until package is available.
  * d/p/skip-tests.patch: Updated with failing Py3.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 14:03:46 -0400

python-troveclient (1:2.15.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control, d/compat: Bump debhelper compat to 10.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Jun 2018 15:11:21 -0400

python-troveclient (1:2.14.0-3) unstable; urgency=medium

  * Python 3 has now priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 14:52:14 +0100

python-troveclient (1:2.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:56:30 +0000

python-troveclient (1:2.14.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Feb 2018 22:09:01 +0000

python-troveclient (1:2.14.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:42:44 -0500

python-troveclient (1:2.13.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/p/*: Dropped, no longer needed.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 16:24:57 +0000

python-troveclient (1:2.12.0-2) unstable; urgency=medium

  * Added missing EPOCH for mistralclient.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 21:37:13 +0000

python-troveclient (1:2.12.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{install,test}.
  * Blacklist test_module_create().

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2017 12:01:46 +0200

python-troveclient (1:2.12.0-0ubuntu1) artful; urgency=medium

  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Aug 2017 15:26:49 -0400

python-troveclient (1:2.9.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use pypi.debian.net.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:22:51 +0100

python-troveclient (1:2.8.0-0ubuntu2) zesty; urgency=medium

  * d/control: Cleanup dependencies. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 04 Feb 2017 17:08:47 -0500

python-troveclient (1:2.8.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:34:32 -0500

python-troveclient (1:2.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Dec 2016 15:29:35 -0500

python-troveclient (1:2.6.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 10:24:18 -0500

python-troveclient (1:2.5.0-0ubuntu1) yakkety; urgency=medium

  [ Thomas Goirand ]
  * Fixed missing swiftclient EPOC in (build-)depends.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 15:08:41 -0400

python-troveclient (1:2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2016 10:38:50 +0000

python-troveclient (1:2.1.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 16:52:31 +0000

python-troveclient (1:2.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Mar 2016 13:55:50 +0100

python-troveclient (1:2.0.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.

  [ Corey Bryant ]
  * d/control: Update uploaders.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 08:19:42 +0000

python-troveclient (1:1.4.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed debian/copyright ordering.

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align requirements with upstream.

  [ Corey Bryant ]
  * d/rules: Run tests for all py3 versions.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Jan 2016 13:04:29 -0500

python-troveclient (1:1.3.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:57:48 +0000

python-troveclient (1:1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:51:36 +0000

python-troveclient (1:1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies and versions with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2015 15:41:28 -0400

python-troveclient (1:1.2.0-4) experimental; urgency=medium

  [ Corey Bryant ]
  * Add epoch to version to align with Ubuntu.

  [ Thomas Goirand ]
  * Do not test with Python 3.5: it's broken.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Aug 2015 08:00:56 +0000

python-troveclient (1.2.0-3) experimental; urgency=medium

  * Converge Ubuntu and Debian package:
    - d/tests/*: Add DEP 8 tests from Ubuntu.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Aug 2015 16:09:30 -0400

python-troveclient (1.2.0-2) experimental; urgency=medium

  * Added Python 3 support.
  * Rewrote the unit test commands in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 11:58:55 +0200

python-troveclient (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Aug 2015 11:50:58 +0200

python-troveclient (1.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 22:29:32 +0200

python-troveclient (1.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Dec 2014 18:44:47 +0800

python-troveclient (1.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Fixed build-depends.
  * Using testr and subunit correctly.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 09:39:11 +0000

python-troveclient (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2013 17:43:26 +0800

python-troveclient (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #721604).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 Nov 2012 17:15:12 +0000

